<?php
define('_IN_JOHNCMS', 1);

require_once('../incfiles/core.php');
$textl = 'Clash Royale | Покупка карт';
$headmod = 'cr|buy';
require_once('../incfiles/head.php');

if ($user_id) {
    
require_once('head.php');

$bomb = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 1 "));
$luc = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 2 "));
$knight = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 3 "));
$gigant = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 4 "));
$minipekka = mysql_fetch_assoc(mysql_query("SELECT * FROM `cr_card` WHERE `uid` = ".$user_id." AND `type` = 5 "));
    
switch ($act) {
        case 'bomb':
                echo '<div class = "phdr"><center>Покупка Бомбера</center></div>';
             if($usr[money] >= 3){
                mysql_query("UPDATE `cr_card` SET `card` = `card` + 1 WHERE `id` = '".$bomb['id']." '");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - 3 WHERE `uid` = '".$user_id." '");
                echo '<div class = "menu"><center>Вы успешно купили карту бомбера.</center></div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно золота для покупки</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'minipekka':
                echo '<div class = "phdr"><center>Покупка Мини-Пекки</center></div>';
             if($usr[money] >= 40){
                 if($minipekka){
                mysql_query("UPDATE `cr_card` SET `card` = `card` + 1 WHERE `id` = '".$minipekka['id']." '");
                 }
                 if(!$minipekka){
                     mysql_query("INSERT INTO `cr_card` SET `uid` = '".$user_id."', `type` = '5', `level` = '1', `card` = '1', `upgrade` = '2', `upgrade_gold` = '20'");
                 }
                mysql_query("UPDATE `cr_users` SET `money` = `money` - 40 WHERE `uid` = '".$user_id." '");
                echo '<div class = "menu"><center>Вы успешно купили карту Мини-Пекки.</center></div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно золота для покупки</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'luc':
                echo '<div class = "phdr"><center>Покупка Лучниц</center></div>';
             if($usr[money] >= 3){
                mysql_query("UPDATE `cr_card` SET `card` = `card` + 1 WHERE `id` = '".$luc['id']." '");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - 3 WHERE `uid` = '".$user_id." '");
                echo '<div class = "menu"><center>Вы успешно купили карту Лучницы.</center></div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно золота для покупки</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'knight':
                echo '<div class = "phdr"><center>Покупка Рыцаря</center></div>';
             if($usr[money] >= 3){
                mysql_query("UPDATE `cr_card` SET `card` = `card` + 1 WHERE `id` = '".$knight['id']." '");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - 3 WHERE `uid` = '".$user_id." '");
                echo '<div class = "menu"><center>Вы успешно купили карту Рыцаря.</center></div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно золота для покупки</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        case 'gigant':
                echo '<div class = "phdr"><center>Покупка Гиганта</center></div>';
             if($usr[money] >= 40){
                mysql_query("UPDATE `cr_card` SET `card` = `card` + 1 WHERE `id` = '".$gigant['id']." '");
                mysql_query("UPDATE `cr_users` SET `money` = `money` - 40 WHERE `uid` = '".$user_id." '");
                echo '<div class = "menu"><center>Вы успешно купили карту гиганта.</center></div>';
             } else {
                 echo '<div class = "menu">У вас недостаточно золота для покупки</div>';
             }
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
        break;
        
        default:
                echo '<div class = "phdr"><center>Покупка карт</center></div>';
                echo '<div class = "menu"><a href="/cr/">На главную игры</a></div>';
}
    
     } else {
echo '<div class="phdr">Clash Royale</div>';
echo '<div class="rmenu">Что бы играть в Clash Royale нужно зарегистрироваться!</div>';
      }
require_once('../incfiles/end.php');
?>